import unittest

from .app import WebDbApplication


class WebDbApplicationTestCase(unittest.IsolatedAsyncioTestCase):

    def setUp(self):
        self.db = WebDbApplication()

    async def test_insert(self):

        self.assertEqual(await self.db.insert("test", {"test": True}), 1)
        self.assertEqual(len(await self.db.find("test", {"test": True, "id": 1})), 1)

    async def test_find(self):
        print(await self.db.find("test", None))

    #    self.assertEqual(len(await self.db.find("test",dict(test=True, id=1))), 1)
